Security Enhanced Linux Reference Policy

# Layer: services

## Module: apcupsd

Interfaces

### Description:

APC UPS monitoring daemon

### Interfaces:

apcupsd_admin( domain , role )

##### Summary

All of the rules required to administrate an apcupsd environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the apcupsd domain.

apcupsd_append_log( domain )

##### Summary

Allow the specified domain to append apcupsd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_cgi_script_domtrans( domain )

##### Summary

Execute a domain transition to run httpd_apcupsd_cgi_script.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_domtrans( domain )

##### Summary

Execute a domain transition to run apcupsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apcupsd_read_log( domain )

##### Summary

Allow the specified domain to read apcupsd's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apcupsd_read_pid_files( domain )

##### Summary

Read apcupsd PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return